
Registration Check UAT - Bug #16615

BE - QC1339 - Mandatory Fields – IP Address needs to be added for ALL WS Part #2 - in Request

Header to Omni

31 May 2023 03:23 PM - Jimmy Phang

Status: Resolved Start date: 31 May 2023

Priority: Normal Due date:  

Assignee: Jimmy Phang % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Please pass the IP in request header for every web services request.

Remark:

Please cross check the "attached document" with Total 153++ WS request would need to be included.

History

#1 - 15 June 2023 01:13 PM - Shafiqah Rahni

- Status changed from New to Resolved

- Assignee changed from Shafiqah Rahni to Jimmy Phang

- % Done changed from 0 to 100

Added "ip" is soap header

Sample request :

<soapenv:Header>

   <adap:security>

      <id>deviceId123</id>

      <appversion>12.1.0</appversion>

      <type>android</type>

      <ip>111.198.88.00:89</ip>

   </adap:security>

</soapenv:Header>

 

Added in OMNI request header "IP-ADDRESS"

Files

iOS and Android WS list.xlsx 13.9 KB 31 May 2023 Jimmy Phang

QC1339 - Mandatory Fields Needs to Be added.pptx 65.3 KB 31 May 2023 Jimmy Phang
